com.sun.jna.platform.win32

## Class WinDef.BYTE

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.UCHAR
      - - com.sun.jna.platform.win32.WinDef.BYTE

All Implemented Interfaces:
  NativeMapped, java.io.Serializable, java.lang.Comparable<WinDef.UCHAR>

Enclosing interface:
  WinDef

    public static class WinDef.BYTE
    extends WinDef.UCHAR

The Class BYTE.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.WinDef.UCHAR

`SIZE`

### Constructor Summary

Constructors
Constructor and Description
`BYTE()` Instantiates a new byte.
`BYTE(long value)` Instantiates a new byte.

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WinDef.UCHAR

`compareTo`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BYTE

    public BYTE()

Instantiates a new byte.

#### BYTE

    public BYTE(long value)

Instantiates a new byte.

Parameters:
  `value` - the value

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.